Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Registry::Binding_Iterator::Iteration_State Class Reference

`#include <Registry.h>`

Inheritance diagram for ACE_Registry::Binding_Iterator::Iteration_State:

[legend]
Collaboration diagram for ACE_Registry::Binding_Iterator::Iteration_State:

[legend]
List of all members.

## Public Member Functions
| Iteration_State (Binding_Iterator &iterator)
| Constructor.
virtual int | next_n (u_long how_many, Binding_List &list)=0
| Next <how_many> entries.
void | reset (void)
| Reset state.
## Protected Attributes
Binding_Iterator * | parent_
| Pointer to parent iterator.
u_long | index_

## Detailed Description

Base class for state

## Constructor & Destructor Documentation

ACE_Registry::Binding_Iterator::Iteration_State::Iteration_State | ( | Binding_Iterator & | iterator | ) |

| Constructor.

## Member Function Documentation

virtual int ACE_Registry::Binding_Iterator::Iteration_State::next_n | ( | u_long | how_many,
|  | Binding_List & | list
| ) | `[pure virtual]`

| Next <how_many> entries. Implemented in ACE_Registry::Binding_Iterator::Object_Iteration, ACE_Registry::Binding_Iterator::Context_Iteration, and ACE_Registry::Binding_Iterator::Iteration_Complete.

void ACE_Registry::Binding_Iterator::Iteration_State::reset | ( | void |  | ) |

| Reset state.

## Member Data Documentation

u_long ACE_Registry::Binding_Iterator::Iteration_State::index_`[protected]`

Binding_Iterator* ACE_Registry::Binding_Iterator::Iteration_State::parent_`[protected]`

| Pointer to parent iterator.

The documentation for this class was generated from the following files:

- Registry.h
- Registry.cpp